GET api/cleanroomapi/cleanroomsbycustomer/{customerId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"cleanroom_type_id": "381e0659-cf5f-4dcf-8c05-c1d65f23fb3d",
"communication_server_id": "790a6285-3621-4064-a1b2-5b11149b0be7",
"id": "6becf1b8-07e6-4faa-938f-163ff23b9d69",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
},
{
"active": true,
"cleanroom_type_id": "381e0659-cf5f-4dcf-8c05-c1d65f23fb3d",
"communication_server_id": "790a6285-3621-4064-a1b2-5b11149b0be7",
"id": "6becf1b8-07e6-4faa-938f-163ff23b9d69",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
]
application/xml, text/xml
Sample:
<ArrayOfcleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<cleanroom>
<active>true</active>
<cleanroom_type_id>381e0659-cf5f-4dcf-8c05-c1d65f23fb3d</cleanroom_type_id>
<communication_server_id>790a6285-3621-4064-a1b2-5b11149b0be7</communication_server_id>
<id>6becf1b8-07e6-4faa-938f-163ff23b9d69</id>
<local_id>1</local_id>
<local_name>sample string 3</local_name>
<name>sample string 4</name>
<type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>
<cleanroom>
<active>true</active>
<cleanroom_type_id>381e0659-cf5f-4dcf-8c05-c1d65f23fb3d</cleanroom_type_id>
<communication_server_id>790a6285-3621-4064-a1b2-5b11149b0be7</communication_server_id>
<id>6becf1b8-07e6-4faa-938f-163ff23b9d69</id>
<local_id>1</local_id>
<local_name>sample string 3</local_name>
<name>sample string 4</name>
<type_of_temperature>sample string 5</type_of_temperature>
</cleanroom>
</ArrayOfcleanroom>